> ## Documentation Index
> Fetch the complete documentation index at: https://www.anything.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List project deployments

> Returns recent deployments for a project group, ordered by creation time descending.



## OpenAPI

````yaml https://api.anything.com/v0/api/openapi.json get /v0/api/projects/{projectGroupId}/deployments
openapi: 3.1.0
info:
  title: Anything API
  version: 0.1.0
  description: >-
    The Anything API is the fastest way for agents to build and launch mobile
    and web apps.
servers:
  - url: /
security: []
paths:
  /v0/api/projects/{projectGroupId}/deployments:
    get:
      tags:
        - Deployments
      summary: List project deployments
      description: >-
        Returns recent deployments for a project group, ordered by creation time
        descending.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: projectGroupId
          in: path
        - schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 100
          required: false
          name: limit
          in: query
      responses:
        '200':
          description: Deployments list
          content:
            application/json:
              schema:
                type: object
                properties:
                  deployments:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        projectGroupId:
                          type: string
                          format: uuid
                        status:
                          type: string
                          enum:
                            - PENDING
                            - BUILDING
                            - DEPLOYING
                            - SUCCESS
                            - FAILED
                        url:
                          type:
                            - string
                            - 'null'
                          description: >-
                            Public URL where the app is served. Null until the
                            deployment succeeds.
                        createdAt:
                          type: string
                          format: date-time
                        completedAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                      required:
                        - id
                        - projectGroupId
                        - status
                        - url
                        - createdAt
                        - completedAt
                required:
                  - deployments
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
        '404':
          description: >-
            Not found — the referenced resource does not exist (including
            malformed resource IDs)
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Anything API key as the Basic auth username and leave the
        password empty. Example credentials: anything_xxx:

````